{"openapi":"3.1.0","info":{"title":"Manage Bet Codes API","description":"Convert, view, split, merge, track, search, resolve, and book.","version":"1.0.0"},"paths":{"/v1":{"get":{"summary":"Api Index","operationId":"api_index_v1_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Api Index V1 Get"}}}}}}},"/v1/health":{"get":{"summary":"Health","operationId":"health_v1_health_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Health V1 Health Get"}}}}}}},"/v1/capabilities":{"get":{"summary":"Capabilities","operationId":"capabilities_v1_capabilities_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/errors":{"get":{"summary":"Errors","operationId":"errors_v1_errors_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Errors V1 Errors Get"}}}}}}},"/v1/markets":{"get":{"summary":"Markets","operationId":"markets_v1_markets_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Markets V1 Markets Get"}}}}}}},"/v1/bookmakers":{"get":{"summary":"Bookmakers","operationId":"bookmakers_v1_bookmakers_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Bookmakers V1 Bookmakers Get"}}}}}}},"/v1/convert":{"post":{"summary":"Convert","operationId":"convert_v1_convert_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConvertRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/convert/all":{"post":{"summary":"Convert All V1","operationId":"convert_all_v1_v1_convert_all_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConvertAllRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/convert/bulk":{"post":{"summary":"Convert Bulk V1","operationId":"convert_bulk_v1_v1_convert_bulk_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConvertBulkRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/view":{"get":{"summary":"View","operationId":"view_v1_view_get","parameters":[{"name":"code","in":"query","required":true,"schema":{"type":"string","title":"Code"}},{"name":"bookmaker","in":"query","required":true,"schema":{"type":"string","title":"Bookmaker"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/view/image":{"get":{"summary":"View Image","operationId":"view_image_v1_view_image_get","parameters":[{"name":"code","in":"query","required":true,"schema":{"type":"string","title":"Code"}},{"name":"bookmaker","in":"query","required":true,"schema":{"type":"string","title":"Bookmaker"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/split":{"post":{"summary":"Split","operationId":"split_v1_split_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SplitRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/merge":{"post":{"summary":"Merge","operationId":"merge_v1_merge_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MergeRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/track":{"post":{"summary":"Track Start","operationId":"track_start_v1_track_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/track/{track_id}":{"get":{"summary":"Track Get","operationId":"track_get_v1_track__track_id__get","parameters":[{"name":"track_id","in":"path","required":true,"schema":{"type":"string","title":"Track Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"summary":"Track Delete","operationId":"track_delete_v1_track__track_id__delete","parameters":[{"name":"track_id","in":"path","required":true,"schema":{"type":"string","title":"Track Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/tracks":{"get":{"summary":"Tracks","operationId":"tracks_v1_tracks_get","parameters":[{"name":"status","in":"query","required":false,"schema":{"type":"string","default":"","title":"Status"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/history":{"get":{"summary":"History","operationId":"history_v1_history_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"bookmaker","in":"query","required":false,"schema":{"type":"string","default":"","title":"Bookmaker"}},{"name":"target","in":"query","required":false,"schema":{"type":"string","default":"","title":"Target"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","default":"","title":"Status"}},{"name":"from","in":"query","required":false,"schema":{"type":"string","default":"","title":"From"}},{"name":"to","in":"query","required":false,"schema":{"type":"string","default":"","title":"To"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/history/{row_id}":{"get":{"summary":"History Get","operationId":"history_get_v1_history__row_id__get","parameters":[{"name":"row_id","in":"path","required":true,"schema":{"type":"string","title":"Row Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/usage":{"get":{"summary":"Usage","operationId":"usage_v1_usage_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/jobs":{"post":{"summary":"Create Job","operationId":"create_job_v1_jobs_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobRequest"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"summary":"Jobs","operationId":"jobs_v1_jobs_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","default":"","title":"Status"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/jobs/{job_id}":{"get":{"summary":"Job Get","operationId":"job_get_v1_jobs__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"summary":"Job Cancel","operationId":"job_cancel_v1_jobs__job_id__delete","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/events/search":{"post":{"summary":"Events Search","operationId":"events_search_v1_events_search_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/events":{"get":{"summary":"Events","operationId":"events_v1_events_get","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","minLength":1,"maxLength":200,"title":"Q"}},{"name":"bookmaker","in":"query","required":false,"schema":{"type":"string","default":"sportybet","title":"Bookmaker"}},{"name":"sport","in":"query","required":false,"schema":{"type":"string","default":"football","title":"Sport"}},{"name":"league","in":"query","required":false,"schema":{"type":"string","default":"","title":"League"}},{"name":"from","in":"query","required":false,"schema":{"type":"string","default":"","title":"From"}},{"name":"to","in":"query","required":false,"schema":{"type":"string","default":"","title":"To"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"include_markets","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Markets"}},{"name":"detail","in":"query","required":false,"schema":{"type":"string","default":"compact","title":"Detail"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/events/{event_id}/markets":{"get":{"summary":"Event Markets","operationId":"event_markets_v1_events__event_id__markets_get","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}},{"name":"bookmaker","in":"query","required":false,"schema":{"type":"string","default":"sportybet","title":"Bookmaker"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/resolve":{"post":{"summary":"Resolve","operationId":"resolve_v1_resolve_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResolveRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/book":{"post":{"summary":"Book","operationId":"book_v1_book_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/books":{"get":{"summary":"Books","operationId":"books_v1_books_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/books/{book_id}":{"get":{"summary":"Book Get","operationId":"book_get_v1_books__book_id__get","parameters":[{"name":"book_id","in":"path","required":true,"schema":{"type":"string","title":"Book Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/webhooks":{"get":{"summary":"Webhook List","operationId":"webhook_list_v1_webhooks_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}},"post":{"summary":"Webhook Create","operationId":"webhook_create_v1_webhooks_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/webhooks/{webhook_id}":{"delete":{"summary":"Webhook Delete","operationId":"webhook_delete_v1_webhooks__webhook_id__delete","parameters":[{"name":"webhook_id","in":"path","required":true,"schema":{"type":"string","title":"Webhook Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/webhooks/{webhook_id}/test":{"post":{"summary":"Webhook Test","operationId":"webhook_test_v1_webhooks__webhook_id__test_post","parameters":[{"name":"webhook_id","in":"path","required":true,"schema":{"type":"string","title":"Webhook Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/openapi.json":{"get":{"summary":"Openapi Json","operationId":"openapi_json_v1_openapi_json_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/docs":{"get":{"summary":"Docs Page","operationId":"docs_page_v1_docs_get","responses":{"200":{"description":"Successful Response","content":{"text/html":{"schema":{"type":"string"}}}}}}},"/.well-known/api-catalog":{"get":{"summary":"Api Catalog","operationId":"api_catalog__well_known_api_catalog_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/mcp":{"post":{"summary":"Mcp Endpoint","operationId":"mcp_endpoint_v1_mcp_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}}},"components":{"schemas":{"BookRequest":{"properties":{"bookmaker":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Bookmaker"},"plan_id":{"anyOf":[{"type":"string","maxLength":128},{"type":"null"}],"title":"Plan Id"},"picks":{"items":{"$ref":"#/components/schemas/PickModel"},"type":"array","maxItems":100,"title":"Picks","default":[]},"to":{"anyOf":[{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"string"}],"maxLength":100},{"type":"null"}],"title":"To"},"strict":{"type":"boolean","title":"Strict","default":true},"accept_odds_change":{"type":"boolean","title":"Accept Odds Change","default":false}},"type":"object","title":"BookRequest"},"BulkCodeEntry":{"properties":{"code":{"type":"string","maxLength":64,"title":"Code"},"from":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"From"}},"type":"object","required":["code"],"title":"BulkCodeEntry"},"ConvertAllRequest":{"properties":{"code":{"type":"string","maxLength":64,"title":"Code"},"from":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"From"},"to":{"anyOf":[{"anyOf":[{"type":"string"},{"items":{"type":"string"},"type":"array"}],"maxLength":100},{"type":"null"}],"title":"To"},"include_card":{"type":"boolean","title":"Include Card","default":false}},"type":"object","required":["code"],"title":"ConvertAllRequest"},"ConvertBulkRequest":{"properties":{"codes":{"items":{"$ref":"#/components/schemas/BulkCodeEntry"},"type":"array","maxItems":10,"title":"Codes"},"to":{"anyOf":[{"anyOf":[{"type":"string"},{"items":{"type":"string"},"type":"array"}],"maxLength":100},{"type":"null"}],"title":"To"},"include_card":{"type":"boolean","title":"Include Card","default":false}},"type":"object","required":["codes"],"title":"ConvertBulkRequest"},"ConvertRequest":{"properties":{"code":{"type":"string","maxLength":64,"title":"Code"},"from":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"From"},"to":{"anyOf":[{"anyOf":[{"type":"string"},{"items":{"type":"string"},"type":"array"}],"maxLength":100},{"type":"null"}],"title":"To"}},"type":"object","required":["code"],"title":"ConvertRequest"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"JobRequest":{"properties":{"kind":{"type":"string","maxLength":32,"title":"Kind"},"code":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Code"},"from":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"From"},"codes":{"anyOf":[{"items":{"additionalProperties":true,"type":"object"},"type":"array","maxItems":100},{"type":"null"}],"title":"Codes"},"to":{"anyOf":[{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"string"}],"maxLength":100},{"type":"null"}],"title":"To"},"pairs":{"anyOf":[{"items":{"additionalProperties":true,"type":"object"},"type":"array","maxItems":100},{"type":"null"}],"title":"Pairs"},"target":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Target"},"picks":{"anyOf":[{"items":{"$ref":"#/components/schemas/PickModel"},"type":"array","maxItems":100},{"type":"null"}],"title":"Picks"},"bookmaker":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Bookmaker"},"count":{"type":"integer","title":"Count","default":2},"pattern":{"type":"string","maxLength":32,"title":"Pattern","default":"equal"},"order":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"Order"},"target_odds":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Target Odds"},"counts":{"anyOf":[{"items":{"type":"integer"},"type":"array","maxItems":20},{"type":"null"}],"title":"Counts"}},"type":"object","required":["kind"],"title":"JobRequest"},"MergePair":{"properties":{"bookmaker":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Bookmaker"},"code":{"type":"string","maxLength":64,"title":"Code"}},"type":"object","required":["code"],"title":"MergePair"},"MergeRequest":{"properties":{"pairs":{"items":{"$ref":"#/components/schemas/MergePair"},"type":"array","maxItems":100,"title":"Pairs"},"target":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Target"}},"type":"object","required":["pairs"],"title":"MergeRequest"},"PickModel":{"properties":{"event_id":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Event Id"},"home_team":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Home Team"},"away_team":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Away Team"},"league":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"League"},"kickoff":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Kickoff"},"sport":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Sport"},"market":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Market"},"market_id":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Market Id"},"outcome":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Outcome"},"outcome_id":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Outcome Id"},"line":{"anyOf":[{"type":"number"},{"type":"string"},{"type":"null"}],"title":"Line"},"odds":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"null"}],"title":"Odds"},"is_live":{"type":"boolean","title":"Is Live","default":false},"is_finished":{"type":"boolean","title":"Is Finished","default":false},"is_postponed":{"type":"boolean","title":"Is Postponed","default":false}},"type":"object","title":"PickModel"},"ResolveRequest":{"properties":{"bookmaker":{"type":"string","maxLength":64,"title":"Bookmaker"},"picks":{"items":{"$ref":"#/components/schemas/PickModel"},"type":"array","maxItems":50,"title":"Picks"},"strict":{"type":"boolean","title":"Strict","default":true},"accept_odds_change":{"type":"boolean","title":"Accept Odds Change","default":false},"detail":{"type":"string","maxLength":32,"title":"Detail","default":"compact"}},"type":"object","required":["bookmaker","picks"],"title":"ResolveRequest"},"SearchQuery":{"properties":{"q":{"type":"string","maxLength":200,"title":"Q"},"from":{"anyOf":[{"type":"string","maxLength":10},{"type":"null"}],"title":"From"},"to":{"anyOf":[{"type":"string","maxLength":10},{"type":"null"}],"title":"To"},"league":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"League"},"limit":{"type":"integer","title":"Limit","default":10}},"type":"object","required":["q"],"title":"SearchQuery"},"SearchRequest":{"properties":{"bookmaker":{"type":"string","maxLength":64,"title":"Bookmaker"},"sport":{"type":"string","maxLength":64,"title":"Sport","default":"football"},"queries":{"items":{"$ref":"#/components/schemas/SearchQuery"},"type":"array","maxItems":20,"title":"Queries"},"include_markets":{"type":"boolean","title":"Include Markets","default":false},"market_filter":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":50},{"type":"null"}],"title":"Market Filter"},"include_unbookable":{"type":"boolean","title":"Include Unbookable","default":false},"detail":{"type":"string","maxLength":32,"title":"Detail","default":"compact"},"offset":{"type":"integer","title":"Offset","default":0}},"type":"object","required":["bookmaker","queries"],"title":"SearchRequest"},"SplitRequest":{"properties":{"code":{"type":"string","maxLength":64,"title":"Code"},"bookmaker":{"anyOf":[{"type":"string","maxLength":64},{"type":"null"}],"title":"Bookmaker"},"count":{"type":"integer","title":"Count","default":2},"pattern":{"type":"string","maxLength":32,"title":"Pattern","default":"equal"},"order":{"anyOf":[{"type":"string","maxLength":32},{"type":"null"}],"title":"Order"},"target_odds":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Target Odds"},"counts":{"anyOf":[{"items":{"type":"integer"},"type":"array","maxItems":20},{"type":"null"}],"title":"Counts"}},"type":"object","required":["code"],"title":"SplitRequest"},"TrackRequest":{"properties":{"code":{"type":"string","maxLength":64,"title":"Code"},"bookmaker":{"type":"string","maxLength":64,"title":"Bookmaker","default":"sportybet"},"mode":{"type":"string","maxLength":32,"title":"Mode","default":"ticket"},"label":{"anyOf":[{"type":"string","maxLength":80},{"type":"null"}],"title":"Label"},"webhook_url":{"anyOf":[{"type":"string","maxLength":2048},{"type":"null"}],"title":"Webhook Url"}},"type":"object","required":["code"],"title":"TrackRequest"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"WebhookRequest":{"properties":{"url":{"type":"string","maxLength":2048,"title":"Url"},"events":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":20},{"type":"null"}],"title":"Events"}},"type":"object","required":["url"],"title":"WebhookRequest"}},"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}}},"security":[{"ApiKeyAuth":[]}]}